/*
 * Class BOOL_STRING
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1294 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1294 [] = {0xFF01,1551,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1294 [] = {0xFF01,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1294 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1294 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1294 [] = {0xFF01,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1294 [] = {0xFF01,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1294 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1294 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1294 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1294 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1294 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1294 [] = {0xFF01,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1294 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1294 [] = {866,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1294 [] = {0xFF01,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1294 [] = {0xFF01,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1294 [] = {0xFF01,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1294 [] = {0xFF01,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1294 [] = {0xFF01,1293,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1294 [] = {0xFF01,1293,0xFFFF};


static const struct desc_info desc_1294[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1294), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1294), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28487, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1294), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28488, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1294), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1294), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1294), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1294), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1294), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1294), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1294), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1294), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1294), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A1B /*1293*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1294), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1294), 10511, 0},
	{EIF_GENERIC(NULL), 10504, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10505, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28485, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28486, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28489, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28475, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10510, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1294), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28484, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28477, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1294), 28478, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1294), 28479, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1294), 28480, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1294), 28481, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1294), 28482, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1294), 28483, 0xFFFFFFFF},
};
void Init1294(void)
{
	IDSC(desc_1294, 0, 1293);
	IDSC(desc_1294 + 1, 1, 1293);
	IDSC(desc_1294 + 32, 1422, 1293);
	IDSC(desc_1294 + 41, 960, 1293);
}


#ifdef __cplusplus
}
#endif
